class_name ItemComponent
extends Node

## Base identity, properties are defined in item db.
@export var id: String


func mark_interactive() -> void:
	var parent := get_parent()
	if parent.has_method("mark_interactive"):
		parent.mark_interactive()


func mark_non_interactive(delta: float) -> void:
	var parent := get_parent()
	if parent.has_method("mark_non_interactive"):
		parent.mark_non_interactive()
